summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/charm
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/charm')
-rw-r--r--net-misc/charm/Manifest2
-rw-r--r--net-misc/charm/charm-1.9.1.ebuild38
-rw-r--r--net-misc/charm/charm-1.9.2-r1.ebuild38
-rw-r--r--net-misc/charm/metadata.xml8
4 files changed, 86 insertions, 0 deletions
diff --git a/net-misc/charm/Manifest b/net-misc/charm/Manifest
new file mode 100644
index 00000000000..727626a4c67
--- /dev/null
+++ b/net-misc/charm/Manifest
@@ -0,0 +1,2 @@
+DIST charm-1.9.1.tar.gz 82760 SHA256 43bd9725e68ed6efc8c2b6d5163d384491a2f8b49c121fe7f8c256ebf60006d7
+DIST charm-1.9.2.tar.gz 84927 SHA256 ae2d536303e770ceb002f69c1e71f6a8532c8d5dd075d2f5c1bf09ad02c3c015 SHA512 9ea4c7411764dd1d1c87a1a19de2de3061e08e030e793ff259e80477aa5880a01f05f8a8d1ecc9b1e696111c3f3f9504f5387f535d9d52d1496d20b04c68835b WHIRLPOOL 9e25c985ea6f3e0f9bdf4ad4c2508a2b77886eaaeb3ffce9e04887a2d6fbc9b553a4accdcbfa2114fee81926864872b06aacf1f36a2af7108ad2fffdc1f0a329
diff --git a/net-misc/charm/charm-1.9.1.ebuild b/net-misc/charm/charm-1.9.1.ebuild
new file mode 100644
index 00000000000..5585792d788
--- /dev/null
+++ b/net-misc/charm/charm-1.9.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_SINGLE_IMPL="1"
+
+inherit distutils-r1
+
+DESCRIPTION="A text based livejournal client"
+HOMEPAGE="http://ljcharm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/ljcharm/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 sparc x86"
+IUSE=""
+
+DEPEND="dev-python/feedparser[$PYTHON_USEDEP]"
+
+DOCS=( CHANGES.charm sample.charmrc README.charm )
+HTML_DOCS=( charm.html )
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -e 's/("share\/doc\/charm", .*),/\\/' -i setup.py || die "sed failed"
+}
+
+pkg_postinst() {
+ elog "You need to create a ~/.charmrc before running charm."
+ elog "Read 'man charmrc' for more information."
+}
diff --git a/net-misc/charm/charm-1.9.2-r1.ebuild b/net-misc/charm/charm-1.9.2-r1.ebuild
new file mode 100644
index 00000000000..bbe01f288ca
--- /dev/null
+++ b/net-misc/charm/charm-1.9.2-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_SINGLE_IMPL="1"
+
+inherit distutils-r1
+
+DESCRIPTION="A text based livejournal client"
+HOMEPAGE="http://ljcharm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/ljcharm/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-python/feedparser[$PYTHON_USEDEP]"
+
+DOCS=( CHANGES.charm sample.charmrc README.charm )
+HTML_DOCS=( charm.html )
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -e 's/("share\/doc\/charm", .*),/\\/' -i setup.py || die "sed failed"
+}
+
+pkg_postinst() {
+ elog "You need to create a ~/.charmrc before running charm."
+ elog "Read 'man charmrc' for more information."
+}
diff --git a/net-misc/charm/metadata.xml b/net-misc/charm/metadata.xml
new file mode 100644
index 00000000000..7a8af9a8b7c
--- /dev/null
+++ b/net-misc/charm/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="sourceforge">ljcharm</remote-id>
+ </upstream>
+</pkgmetadata>